/*
Gwenview - A simple image viewer for TDE
Copyright 2005 Aurelien Gateau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/
#ifndef CAPTIONFORMATTER_H
#define CAPTIONFORMATTER_H   

// TQt
#include <tqsize.h>
#include <tqstring.h>

// Local
#include "libgwenview_export.h"

namespace Gwenview {


/**
 * A class to format image captions. Used for example in fullscreen mode.
 * All attributes of the class are public because it's just a "record" with a
 * format() function.
 */
class LIBGWENVIEW_EXPORT CaptionFormatter {
public:
	TQString mPath;
	TQString mFileName;
	TQString mComment;
	TQString mAperture;
	TQString mFocalLength;
	TQString mExposureTime;
	TQString mIso;

	TQSize mImageSize;
	int mPosition;
	int mCount;
	TQString format(const TQString& format);
};	

} // namespace

#endif /* CAPTIONFORMATTER_H */
